package com.dsk.web.controller.dsk;

import com.dsk.common.core.controller.BaseController;
import com.dsk.common.core.domain.AjaxResult;
import com.dsk.common.core.domain.R;
import com.dsk.common.core.page.TableDataInfo;
import com.dsk.system.domain.dsk.dto.JskCombineSearchDto;
import com.dsk.system.dskService.JskCombineInfoService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 集团户相关信息
 * @author lcl
 * @create 2023/8/7
 */
@Slf4j
@RestController
@RequestMapping(value = "/combine/info")
public class JskCombineInfoController extends BaseController {

    @Autowired
    private JskCombineInfoService baseService;

    /**
     *  集团成员列表
     */
    @GetMapping("/memberList")
    public TableDataInfo memberList(JskCombineSearchDto dto) throws Exception {
        return baseService.memberList(dto);
    }

    /**
     *  分组成员数量
     */
    @GetMapping("/group/memberCount")
    public R groupMemberCount(JskCombineSearchDto dto) {
        return baseService.groupMemberCount(dto);
    }

    /**
     *  集团业绩列表
     */
    @GetMapping("/businessList")
    public TableDataInfo businessList(JskCombineSearchDto dto) throws Exception {
        return baseService.businessList(dto);
    }
}
